#typeahead-container { position:relative; }
#typeahead-wrapper {
  width: 342px;
  padding: 20px;
  margin: 10px 0 0;
  font-size: 13px;
  text-transform: uppercase;
  position: absolute;
  z-index: 10000;
  background-color: white;
  border: 1px solid #aaa;
}

#typeahead-wrapper div div.product-results { text-align: left; }
#typeahead-wrapper > div { padding: 0; }
#typeahead-wrapper .results-header {
  border-bottom: solid 1px #aaa;
  padding: 0 0 7px;
}

#typeahead-wrapper a.close-link {
  display: block;
  float: right;
  width: 9px;
  height: 9px;
  background-repeat: no-repeat;
  overflow: hidden;
  text-indent: -99999px;
  margin: 2px 0 0;
  cursor: pointer;
}

#typeahead-wrapper .result {
  border-bottom: 1px solid #aaa;
  padding: 15px 0;
}
#typeahead-wrapper .result > img,
#typeahead-wrapper .result .search-product-text,
#typeahead-wrapper .result .shop { display: inline-block; vertical-align: middle; }
#typeahead-wrapper .result > img {
  margin: 0;
  height: 54px;
  width: 54px;
}
#typeahead-wrapper .result .search-product-text { width: 130px; }
#typeahead-wrapper .result .shop { width: 109px; text-align: right; }

#typeahead-wrapper div.product-results .see-all-results-container {
  margin: 20px 0 0;
  text-align: center;
}
#typeahead-wrapper .product-results a.see-all-results {
  text-transform: none;
  text-align: center;
  text-decoration: underline;
}



#typeahead-wrapper .product-results .result .btn-add-to-bag { display:inline-block; }
#typeahead-wrapper .product-results .result .btn-shop-now { display:none; }

#typeahead-wrapper .product-results .result.PROD12430 .btn-add-to-bag, #typeahead-wrapper .product-results .result.PROD12518 .btn-add-to-bag { display:none; }
#typeahead-wrapper .product-results .result.PROD12430 .btn-shop-now, #typeahead-wrapper .product-results .result.PROD12518 .btn-shop-now { display:inline-block; }